## crystalcursors 1.1.1

=== Makefile ===
export PREFIX=$(HOME)/.icons/

all:
	mkdir blue_cursors
	mkdir blue_cursors_nonanim
	mkdir blue_cursors_classic
	mkdir blueleft_cursors
	mkdir blueleft_cursors_nonanim
	mkdir blueleft_cursors_classic
        
	mkdir gray_cursors
	mkdir gray_cursors_nonanim
	mkdir grayleft_cursors
	mkdir grayleft_cursors_nonanim
        
	mkdir green_cursors
	mkdir green_cursors_nonanim
	mkdir green_cursors_classic
	mkdir greenleft_cursors
	mkdir greenleft_cursors_nonanim
	mkdir greenleft_cursors_classic
        
	mkdir white_cursors
	mkdir white_cursors_nonanim
	mkdir whiteleft_cursors
	mkdir whiteleft_cursors_nonanim
               
	./left-handed_templates/floptheme.sh  blue
	./left-handed_templates/floptheme.sh  green
	./left-handed_templates/floptheme.sh  gray
	./left-handed_templates/floptheme.sh  white
        
	$(MAKE) -C blue_src
	$(MAKE) -C blue_src_left
	$(MAKE) -C green_src
	$(MAKE) -C green_src_left
	$(MAKE) -C gray_src
	$(MAKE) -C green_src_left
	$(MAKE) -C white_src
	@echo -e "\nAll the cursors where correctly generated.\n"

install:
	$(MAKE) install -C blue_src
	@echo -e "\nBlue version of CrystalCursors were correctly installed.\n"

	$(MAKE) install -C green_src
	@echo -e "\nGreen version of CrystalCursors is correctly installed.\n"

	$(MAKE) install -C gray_src
	@echo -e "\nGrayscale version of CrystalCursors is correctly installed.\n"

	$(MAKE) install -C white_src
	@echo -e "\nWhite version of CrystalCursors is correctly installed.\n"
        
	$(MAKE) install -C blue_src_left
	@echo -e "\nBlue left handed version of CrystalCursors were correctly installed.\n"

	$(MAKE) install -C green_src_left
	@echo -e "\nGreen left handed  version of CrystalCursors is correctly installed.\n"

	$(MAKE) install -C gray_src_left
	@echo -e "\nGrayscale left handed  version of CrystalCursors is correctly installed.\n"

	$(MAKE) install -C white_src_left
	@echo -e "\nWhite left handed  version of CrystalCursors is correctly installed.\n"
        
	cp -f  ./blue_src/index.theme.default $(PREFIX)/default/index.theme
	@echo -e "The blue version will be used; in order to change this you can run ./choose.sh"
	@echo -e "in the current folder or copy the proper index.theme in ~/.icons/default."
	@echo -e "Have Fun!\n"
clean:
	rm -rf blue_cursors
	rm -rf blue_cursors_nonanim
	rm -rf blue_cursors_classic
	rm -rf blueleft_cursors
	rm -rf blueleft_cursors_nonanim
	rm -rf blueleft_cursors_classic
	rm -rf blue_src_left
                
	rm -rf gray_cursors
	rm -rf gray_cursors_nonanim
	rm -rf grayleft_cursors
	rm -rf grayleft_cursors_nonanim
	rm -rf gray_src_left
                
	rm -rf green_cursors
	rm -rf green_cursors_nonanim
	rm -rf green_cursors_classic
	rm -rf greenleft_cursors
	rm -rf greenleft_cursors_nonanim
	rm -rf greenleft_cursors_classic
	rm -rf green_src_left
                
	rm -rf white_cursors
	rm -rf white_cursors_nonanim
	rm -rf whiteleft_cursors
	rm -rf whiteleft_cursors_nonanim
	rm -rf white_src_left

uninstall:
	rm -rf $(PREFIX)/crystalblue
	rm -rf $(PREFIX)/crystalblue_nonanim
	rm -rf $(PREFIX)/crystalblue_classic
	rm -rf $(PREFIX)/crystalblueleft
	rm -rf $(PREFIX)/crystalblueleft_nonanim
	rm -rf $(PREFIX)/crystalblueleft_classic
                
	rm -rf $(PREFIX)/crystalgray
	rm -rf $(PREFIX)/crystalgray_nonanim
	rm -rf $(PREFIX)/crystalgrayleft
	rm -rf $(PREFIX)/crystalgrayleft_nonanim
                
	rm -rf $(PREFIX)/crystalgreen
	rm -rf $(PREFIX)/crystalgreen_nonanim
	rm -rf $(PREFIX)/crystalgreen_classic
	rm -rf $(PREFIX)/crystalgreenleft
	rm -rf $(PREFIX)/crystalgreenleft_nonanim
	rm -rf $(PREFIX)/crystalgreenleft_classic
                
	rm -rf $(PREFIX)/crystalwhite
	rm -rf $(PREFIX)/crystalwhite_nonanim
	rm -rf $(PREFIX)/crystalwhiteleft
	rm -rf $(PREFIX)/crystalwhiteleft_nonanim
                
	rm $(PREFIX)/default/index.theme
