=== debian/changelog ===
crystalcursors (1.1.1-14) unstable; urgency=low

  * grey_watch.patch: Replace bad clock animation frame in gray theme
    (Closes: #705782). Thanks to Maximiliano Curia <maxy@debian.org>.
  * Remove broken superfluous symlinks (Closes: #702857).
  * Upgrade to Standards-Version 3.9.7, adding an empty build-arch target.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 25 Mar 2016 16:35:00 +0100

crystalcursors (1.1.1-13) unstable; urgency=low

  * New maintainer (Closes: #529434).
  * Do not remove alternatives on upgrade.
  * Delete unused and unnecessary stuff from debian/rules.
  * Add build-indep target.
  * Drop 01-correct-upstreams-makefile.patch: 
    - Pass PREFIX instead of DESTDIR from debian/rules
    - The "all" target should not have "clean" as a prerequisite; the
      problem in bug #368468 was just that patch-stamp wasn't created
      and we don't need that with source format 3.0.
  * Add CREDITS to debian/docs.
  * Add additional symlinks that Qt look for, as well as the missing
    ul_angle and ur_angle (Closes: #430827, #499344; works around:
    #548804).
  * Improve package description.
  * Give a suitable theme higher priority than the rest like; crystalblue
    (the blue, right-handed, animated theme) is what the upstream author
    intends as the default (Closes: #500881).
  * Bump Standards-Version to 3.9.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 22 Aug 2010 01:15:06 +0200

crystalcursors (1.1.1-12) unstable; urgency=medium

  [ Jari Aalto ]
  * QA upload
  * debian/rules
    - (install): remove deletion of empty directory
      usr/share/icons/default that is required in postinst
      (upgrade failure, Grave; Closes: #582517).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 25 May 2010 12:15:44 +0300

crystalcursors (1.1.1-11) unstable; urgency=low

  [ Jari Aalto ]
  * QA upload.
    - Move to packaging format "3.0 (quilt)" due to patch.
  * debian/compat
    - Update to 7.
  * debian/changelog
    - Delete EOL whitespaces.
  * debian/control
    - (Build-Depends): update obsolete xbase-clients to x11-apps.
      (important; Closes: #575613).
      Update to debhelper 7.1. Remove obsolete dpatch.
    - (Maintainer): set to QA Group.
    - (Standards-Version): Update to 3.8.4.
    - (crystalcursors::Section): Remove inherited field.
  * debian/copyright
    - Point to LGPL-2. Change obsolete FSF address to URL.
    - Update layout.
  * debian/patches
    - Convert from dpatch to quilt
    - Combine trivial patches 01 and 02 (Makefile).
  * debian/rules
    - Remove obsolete dpatch.
    - (install): Update dh_clean to dh_prep. Remove empty directory
      usr/share/icons/default
    - (clean): Fix lintian debian-rules-ignores-make-clean-error.
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 09 May 2010 20:42:23 +0300

crystalcursors (1.1.1-10) unstable; urgency=low

  * Added Homepage field

 -- Bastian Venthur <venthur@debian.org>  Wed, 26 Mar 2008 14:52:29 +0100

crystalcursors (1.1.1-9) unstable; urgency=low

  * Applied ubuntu patch to fix FTBFS with dash (Closes: #459053)
  * Bumped standards version

 -- Bastian Venthur <venthur@debian.org>  Sun, 20 Jan 2008 18:20:47 +0100

crystalcursors (1.1.1-8) unstable; urgency=low

  * Updated maintainer field

 -- Bastian Venthur <venthur@debian.org>  Wed, 18 Oct 2006 19:31:55 +0200

crystalcursors (1.1.1-7) unstable; urgency=low

  * Don't remove u/s/icons/default (again)
    Closes: #363059, thanks Magnus Holmgren

  * Corrected patch-rule, switched to easier dpatch.make and created a patch
    against upstreams Makefile (fix_build_target)
    Closes: #368468 (FTBFS: Forgot to touch patch-stamp),
    thanks Magnus Holmgren

  * Removed xlibs-data from Depends: we don't need it to install the package

  * Minor Changes:
    - Sanitized package description, thanks Martin Michlmayr
    - Bumped Standards Version, thanks Martin Michlmayr
    - Substituted sed-command with grep -v, thanks Christoph Haas

 -- Bastian Venthur <mail@venthur.de>  Mon, 22 May 2006 18:09:03 +0200

crystalcursors (1.1.1-6) unstable; urgency=low

  * Provide /usr/share/icons/default
    Closes: #363059 "Fails to install, missing dir to create alternatives.",
    thanks to Sune Vuorela and Steve Langasek

  * Restored wrappers for alternatives system
    Closes: #365072 "Please restore wrappers for alternatives system.",
    thanks again Aaron M. Ucko

  * Adjusted Build-Depends and Build-Depends-Indep to make lintian happy

  * Introduced dpatch to change upstreams Makefile to keep upstream's
    sourcetree clean

 -- Bastian Venthur <mail@venthur.de>  Fri, 28 Apr 2006 10:21:06 +0200

crystalcursors (1.1.1-5) unstable; urgency=low

  * Moved icons from old (/u/X11R6/l/X11/icons) to new (/u/s/icons)
    Closes: #362504 "Wrong path for Xorg 7.0"
    - removed lintian overrides

  * Cleaned up update-alternatives script

 -- Bastian Venthur <mail@venthur.de>  Thu, 13 Apr 2006 08:11:24 +0200

crystalcursors (1.1.1-4) unstable; urgency=low

  * Tightened dependency from x-window-system-core to xlibs-data.
    - Closes: #356602 "unneccessarily depends on x-window-system-core"

 -- Bastian Venthur <mail@venthur.de>  Mon, 20 Mar 2006 16:21:22 +0100

crystalcursors (1.1.1-3) unstable; urgency=low

  * Added dependency on x-window-system-core
    - Closes: #351200 "fails to install"

 -- Bastian Venthur <mail@venthur.de>  Mon, 27 Feb 2006 16:55:56 +0100

crystalcursors (1.1.1-2) unstable; urgency=low

  * Register crystalcursors as x-cursor-theme and make them thereby available
    via update-alternatives
    - Closes: #330626 "please register x-cursor-theme alternatives", many
    thanks to Aaron Ucko!

  * Added a README.debian to explain how to use update-alternatives

  * Minor cleanup in rules file

 -- Bastian Venthur <mail@venthur.de>  Sun, 27 Nov 2005 17:03:13 +0100

crystalcursors (1.1.1-1) unstable; urgency=low

  * New upstream release

