=== debian/control ===
Source: crystalcursors
Section: x11
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: debhelper (>= 7.1)
Build-Depends-Indep: imagemagick, x11-apps
Standards-Version: 3.9.7
Homepage: http://www.kde-look.org/content/show.php?content=6240

Package: crystalcursors
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X11 mouse theme with the crystal look&feel
 This package contains "Crystal" style mouse cursor themes in four
 colours (blue, green, white, and grey) as well as green and blue
 "classic", wherein certain cursors (e.g. the "hand" cursor) are white
 instead of coloured.
 .
 For Each of the above colours there are both right and left handed
 versions as well as animated and non-animated ones (except for the
 "classic" themes, which are all animated), for a total of 20
 combinations.
 .
 Note: Please read /usr/share/doc/crystalcursors/README.Debian to learn how to
 change the default cursor theme system-wide.
